Subject: Re: bug#22763: 25.1.50; Feature Request -- A faster method to obtain line number at position.

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 07 Feb 2021 22:52:53 +0100

Eli Zaretskii <[email-masked]> writes:

>> Perhaps memchr has gotten faster over the years?
>
> No, it was fast then as well (due to inlining, AFAIR).
>
> I think the main factor is the file used to benchmark this stuff.  I
> don't remember what I used.

I was curious as to how memchr is implemented these days:

https://code.woboq.org/userspace/glibc/string/memchr.c.html

It seems it tests one longword_ptr at a time?  So that's 8 bytes on
64-bit CPUs, I think.  Doesn't look like any SSE/AVX support, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no